package com.SgwMiniSetup.sample;

import java.util.Vector;
import java.util.HashMap;

import javax.swing.JTable;
import javax.swing.table.DefaultTableModel;

/**
 * 
 * テーブルのモデルクラス（DefaultTableModel）
 *  
 */
public class SearchResultTableModel extends DefaultTableModel {
    
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private JTable table;
    private HashMap _cellEnabled = new HashMap();

    /**
     * 
     * コンストラクタ
     * 
     */
    public SearchResultTableModel(JTable tb, String[] columnNames, int rowNum) {
        super(columnNames, rowNum);
        table = tb;
    }

    // カラムのクラスを取得
    public Class getColumnClass(int col) {
        //return getValueAt(0, col).getClass();
        Vector v = (Vector) dataVector.elementAt(0);
        return v.elementAt(col).getClass();
    }
    
    // セルを編集可とする
    public boolean isCellEditable(int row, int col) {    	
//    	//row+colにてHashMap内にキーがある場合。
//    	if (_cellEnabled.containsKey(row + "," + col)){
//    		return false;
//    	}
//    	
//        Class columnClass = getColumnClass(col);
//        return columnClass != Date.class;
    	// 3列目以外は編集不可
		if (col == 2) {
			return true;
		}
		return false;
    }
    
    //セル編集の設定
    public void setCellEnabled(int row , int col , boolean value){
    	if (!value){
    		_cellEnabled.put(row + "," + col , "");
    	}else{
    		_cellEnabled.remove(row + "," + col);
    	}
    }
    
    //セル編集の取得
    public boolean getCellEnabled(int row , int col){
    	return !_cellEnabled.containsKey(row + "," + col);
    }
} // class SearchResultTableModel