package com.SgwMiniSetup.thread;

import com.SgwSetting.thread.ThreadStart;

/**
 * サーバホスト名を取得する
 */
public class GetServerHostThread extends Thread {
	private String ｓｔｒResponse = null;
	private String sgwIpAddress = null;
	private String encode = "UTF-8";
	
	//コンストラクタ
	public GetServerHostThread(String sgwIpAddress, String encode) {
		this.sgwIpAddress = sgwIpAddress;
		this.encode = encode;
	}

	public void run() {
		ThreadStart th;
		if (sgwIpAddress != null 
				&& sgwIpAddress.length() > 0) {
			th = new ThreadStart(sgwIpAddress);
		} else {
			th = new ThreadStart();
		}
		
		try {
			//ｓｔｒResponse = th.getServerHostName(encode);
			ｓｔｒResponse = th.getServerHostNameByHttpURLConnection(encode);
		} catch (Exception e) {
			// 何もしない
		}
	}
	
	public String getResult() {
		return ｓｔｒResponse;
	}
}
