package com.SgwMiniSetup.thread;

import com.SgwMiniSetup.sample.SgwMiniSetup;
import com.SgwSetting.thread.ThreadStart;

/**
 * 会員登録
 */
public class RegistMemberThread extends Thread {
	String serverHostName = null;
	
	//コンストラクタ
	public RegistMemberThread() {
	}
	
	//コンストラクタ
	public RegistMemberThread(String hostName) {
		this.serverHostName = hostName;
	}

	public void run() {
		ThreadStart th = new ThreadStart();
		
		// サーバ名が指定された場合はサーバ名を登録する
		boolean res_setSrvName = false;
		if (this.serverHostName != null
				&& this.serverHostName.length() > 0) {
			try {
				//【仕様】：時計を設定してから、SGWが再起動するまで10秒は待つこと
				try {
					Thread.sleep(10000);	// 10秒停止
				} catch (Exception e) { }
				
				res_setSrvName = th.registServerHostName(this.serverHostName);
				
				if (res_setSrvName == true) {	
					Thread.sleep(2000);	// 2秒停止
				}
			} catch (Exception e) { }
		}
		
		// SGWの場合はログインしてから会員登録を実行
		if (SgwMiniSetup.IS_SGW 
				&& !SgwMiniSetup.IS_SGW_MINI 
				&& !SgwMiniSetup.IS_SGW_PLUS) {
			try {
				boolean res_login = th.loginToSgw();
				
				if (res_login == true) {	
					Thread.sleep(2000);	// 2秒停止
				}
			} catch (Exception e) { }
		}
		
		//【仕様】：時計を設定してから、SGWが再起動するまで10秒は待つこと
		try {
			if (res_setSrvName) {
				Thread.sleep(10000);	// 10秒停止
			}
		} catch (Exception e) { }
		
		boolean res = th.registMember();

		if(res == true) {
			// 完了
		} else {
			// 失敗
		}
	}
}
