package com.SgwMiniSetup.thread;

import com.SgwSetting.thread.ThreadStart;

/**
 * 日付合わせ
 */
public class SetDateThread extends Thread {
	private boolean hasResponse = false;
	private String sgwIpAddress = null;
	
	//コンストラクタ
	public SetDateThread() {
	}
	public SetDateThread(String sgwIpAddress) {
		this.sgwIpAddress = sgwIpAddress;
	}

	public void run() {
		ThreadStart th;
		if (sgwIpAddress != null 
				&& sgwIpAddress.length() > 0) {
			th = new ThreadStart(sgwIpAddress);
		} else {
			th = new ThreadStart();
		}
		
		boolean res = false;
		try {
			res = th.setDate();
		} catch (Exception e) {
			// 何もしない
		}

		if(res == true) {
			// 成功
			hasResponse = true;
		} else {
			// 失敗
			hasResponse = false;
		}
	}
	
	public boolean getResult() {
		return hasResponse;
	}
}
