package com.SgwMiniSetup.thread;

import com.SgwSetting.thread.ThreadStart;

/**
 * サーバホスト名を設定する
 */
public class SetServerHostThread extends Thread {
	private boolean hasResponse = false;
	private String sgwIpAddress = null;
	private String hostName = null;
	
	//コンストラクタ
	public SetServerHostThread(String sgwIpAddress, String hostName) {
		this.sgwIpAddress = sgwIpAddress;
		this.hostName = hostName;
	}

	public void run() {
		ThreadStart th;
		if (sgwIpAddress != null 
				&& sgwIpAddress.length() > 0) {
			th = new ThreadStart(sgwIpAddress);
		} else {
			th = new ThreadStart();
		}
		
		boolean res = false;
		
		try {
			res = th.registServerHostName(hostName);
		} catch (Exception e) {
			// 何もしない
		}

		if(res == true) {
			// 成功
			hasResponse = true;
		} else {
			// 失敗
			hasResponse = false;
		}
	}
	
	public boolean getResult() {
		return hasResponse;
	}
}
