package com.SgwMiniSetup.sample;

import java.awt.Color;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JSeparator;
import javax.swing.SwingConstants;
import javax.swing.border.Border;


/**
 * スマートゲートウェイ 簡単セットアップGUI(PC版) - 会員登録(失敗)ダイアログ
 *
 * @author Copyright (c) 2013 Enegate Co, ltd.
 * @version 1.00
 */
public class RegistErrorDialog extends JDialog implements ActionListener {
	/**
	 * アプリの定数
	 */
	private static final long serialVersionUID = 1L;

	//private final static String DIALOG_REGIST_ERROR_TITLE  = "会員登録失敗";  // タイトル
	private final static String DIALOG_REGIST_ERROR_TITLE  = "利用登録失敗";  // タイトル
	private final static int DIALOG_REGIST_ERROR_WIDTH  = 440;     // 幅
	private final static int DIALOG_REGIST_ERROR_HEIGHT = 350;     // 高さ

	private final static Color DIALOG_REGIST_ERROR_BG_COLOR     = new Color(0, 0, 0);       // 背景色(黒系:#000000)
	private final static Color DIALOG_REGIST_ERROR_BORDER_COLOR = new Color(255, 255, 255); // 枠線色(白系:#FFFFFF)
	private final static Color DIALOG_REGIST_ERROR_FONT_COLOR   = new Color(255, 255, 255); // 文字色(白系:#FFFFFF)

	// 枠線の太さ
	private final static int DIALOG_REGIST_ERROR_BORDER_WEIGHT_INSIDE  = 0;  // 内側
	private final static int DIALOG_REGIST_ERROR_BORDER_WEIGHT_OUTSIDE = 2;  // 外側

	// 文字の種別
	private final static String DIALOG_REGIST_ERROR_FONT_STYLE_TITLE = Font.SANS_SERIF;  // タイトル
	private final static String DIALOG_REGIST_ERROR_FONT_STYLE_MSG1  = Font.SANS_SERIF;  // 本文
	private final static String DIALOG_REGIST_ERROR_FONT_STYLE_MSG2  = Font.SANS_SERIF;  // 本文
	private final static String DIALOG_REGIST_ERROR_FONT_STYLE_MSG3  = Font.SANS_SERIF;  // 本文

	// 文字の太さ
	private final static int DIALOG_REGIST_ERROR_FONT_WEIGHT_TITLE = Font.BOLD;  // タイトル
	private final static int DIALOG_REGIST_ERROR_FONT_WEIGHT_MSG1  = Font.BOLD;  // 本文
	private final static int DIALOG_REGIST_ERROR_FONT_WEIGHT_MSG2  = Font.BOLD;  // 本文
	private final static int DIALOG_REGIST_ERROR_FONT_WEIGHT_MSG3  = Font.BOLD;  // 本文

	// 文字のサイズ
	private final static int DIALOG_REGIST_ERROR_FONT_SIZE_TITLE = 18;  // タイトル
	private final static int DIALOG_REGIST_ERROR_FONT_SIZE_MSG1  = 14;  // 本文
	private final static int DIALOG_REGIST_ERROR_FONT_SIZE_MSG2  = 14;  // 本文
	private final static int DIALOG_REGIST_ERROR_FONT_SIZE_MSG3  = 12;  // 本文

	// ========================================================================================================
	// コンポーネント配置(単位：ピクセル)
	// ========================================================================================================
	// パネル
	private final static int POS_DIALOG_REGIST_ERROR_PANEL_X      = 5;            // X座標
	private final static int POS_DIALOG_REGIST_ERROR_PANEL_Y      = 5;            // Y座標
	private final static int POS_DIALOG_REGIST_ERROR_PANEL_WIDTH  = 430;          // 幅
	private final static int POS_DIALOG_REGIST_ERROR_PANEL_HEIGHT = 340;          // 高さ

	// タイトルのアイコン画像
	private final static int POS_DIALOG_REGIST_ERROR_ICON_X      = 10;            // X座標
	private final static int POS_DIALOG_REGIST_ERROR_ICON_Y      = 10;            // Y座標
	private final static int POS_DIALOG_REGIST_ERROR_ICON_WIDTH  = 32;            // 幅
	private final static int POS_DIALOG_REGIST_ERROR_ICON_HEIGHT = 32;            // 高さ

	// タイトル
	private final static int POS_DIALOG_REGIST_ERROR_TITLE_X      = 50;            // X座標
	private final static int POS_DIALOG_REGIST_ERROR_TITLE_Y      = 10;            // Y座標
	private final static int POS_DIALOG_REGIST_ERROR_TITLE_WIDTH  = 200;           // 幅
	private final static int POS_DIALOG_REGIST_ERROR_TITLE_HEIGHT = 32;            // 高さ

	// 区切り線
	private final static int POS_DIALOG_REGIST_ERROR_SEPARATOR_X      = 5;           // X座標
	private final static int POS_DIALOG_REGIST_ERROR_SEPARATOR_Y      = 50;          // Y座標
	private final static int POS_DIALOG_REGIST_ERROR_SEPARATOR_WIDTH  = 420;         // 幅
	private final static int POS_DIALOG_REGIST_ERROR_SEPARATOR_HEIGHT = 15;          // 高さ

	// メッセージ1
	private final static int POS_DIALOG_REGIST_ERROR_MSG1_X      = 8;             // X座標
	private final static int POS_DIALOG_REGIST_ERROR_MSG1_Y      = 65;            // Y座標
	private final static int POS_DIALOG_REGIST_ERROR_MSG1_WIDTH  = 420;           // 幅
	private final static int POS_DIALOG_REGIST_ERROR_MSG1_HEIGHT = 20;            // 高さ
	private final static int POS_DIALOG_REGIST_ERROR_MSG1_ALIGN  = JLabel.CENTER; // 位置
	//private final static String DIALOG_REGIST_ERROR_MSG1  = "会員登録が失敗しました";  // 文言
	private final static String DIALOG_REGIST_ERROR_MSG1  = "利用登録が失敗しました";  // 文言

	// メッセージ2
	private final static int POS_DIALOG_REGIST_ERROR_MSG2_X      = 8;             // X座標
	private final static int POS_DIALOG_REGIST_ERROR_MSG2_Y      = 105;           // Y座標
	private final static int POS_DIALOG_REGIST_ERROR_MSG2_WIDTH  = 420;           // 幅
	private final static int POS_DIALOG_REGIST_ERROR_MSG2_HEIGHT = 20;            // 高さ
	private final static int POS_DIALOG_REGIST_ERROR_MSG2_ALIGN  = JLabel.CENTER; // 位置
	private final static String DIALOG_REGIST_ERROR_MSG2  = "《  ご確認ください  》";  // 文言

	// メッセージ3
	private final static int POS_DIALOG_REGIST_ERROR_MSG3_X      = 0;              // X座標
	private final static int POS_DIALOG_REGIST_ERROR_MSG3_Y      = 140;            // Y座標
	private final static int POS_DIALOG_REGIST_ERROR_MSG3_WIDTH  = 400;            // 幅
	private final static int POS_DIALOG_REGIST_ERROR_MSG3_HEIGHT = 120;            // 高さ
	private final static int POS_DIALOG_REGIST_ERROR_MSG3_ALIGN  = JLabel.LEFT;    // 位置
	private final static String DIALOG_REGIST_ERROR_MSG3  =
		"<html><body><ul>" +
		"<li>「スマートゲートウェイの検索」で、スマートゲートウェイの" +
		"IPアドレスが取得できていない可能性があります。</li>" +
		"<li>パソコンが接続しているLAN環境と、同じネットワークに<br />" +
		"スマートゲートウェイが接続されていますか？</li>" +
		"</ul></body></html>";  // 文言


	// 確認ボタン
	private final static int POS_DIALOG_REGIST_ERROR_BTN_CONFIRM_X      = 170;        // X座標
	private final static int POS_DIALOG_REGIST_ERROR_BTN_CONFIRM_Y      = 280;        // Y座標
	private final static int POS_DIALOG_REGIST_ERROR_BTN_CONFIRM_WIDTH  = 94;         // 幅
	private final static int POS_DIALOG_REGIST_ERROR_BTN_CONFIRM_HEIGHT = 49;         // 高さ



	// ========================================================================================================
	// 画像リソース
	// ========================================================================================================
	private final static String IMG_ICON_RESULT_ERROR1 = "res/img/icon_result_error.png";    // 失敗アイコン
	private final static String IMG_BUTTON_CONFIRM_ON  = "res/img/btn_confirm_on.png";       // 確認ボタン
	private final static String IMG_BUTTON_CONFIRM_OFF = "res/img/btn_confirm_off.png";      // 確認ボタン

	/**
	 * コンストラクタ
	 *
	 * @param JFrame frame
	 * @param CardLayout layout
	 * @param JPanel panelBase
	 * @param String ERROR1_panel_name
	 * @param String error_panel_name
	 */
	RegistErrorDialog(JFrame frame) {
		// ========================================================================================================
		// 初期化
		// ========================================================================================================
		// 親フレーム継承
		super(frame);

		// ========================================================================================================
		// 各ダイアログ共通の処理
		// ========================================================================================================
		setTitle(DIALOG_REGIST_ERROR_TITLE);
		setSize(DIALOG_REGIST_ERROR_WIDTH, DIALOG_REGIST_ERROR_HEIGHT); // 幅、高さ
		getContentPane().setBackground(DIALOG_REGIST_ERROR_BG_COLOR);       // 背景色
		setLayout(null);                  // レイアウト無し
		setResizable(false);              // フレームのサイズを固定
		setUndecorated(true);             // タイトルバー無し
		setLocationRelativeTo(frame);     // 親フレームの画面中央に表示
		setModal(true);                   // モーダル化

		// ========================================================================================================
		// パネル作成。レイアウトは指定しないため、絶対位置で指定する事
		// ========================================================================================================
		JPanel panel = new JPanel();
		panel.setLayout(null);

		// X座標、Y座標、幅、高さをセット
		panel.setBounds(POS_DIALOG_REGIST_ERROR_PANEL_X, POS_DIALOG_REGIST_ERROR_PANEL_Y,
				POS_DIALOG_REGIST_ERROR_PANEL_WIDTH, POS_DIALOG_REGIST_ERROR_PANEL_HEIGHT);

		// 背景色
		panel.setBackground(DIALOG_REGIST_ERROR_BG_COLOR);

		// 外側の枠線の太さ、内側の枠線の太さをセット
		Border outside = BorderFactory.createMatteBorder(
				DIALOG_REGIST_ERROR_BORDER_WEIGHT_OUTSIDE, DIALOG_REGIST_ERROR_BORDER_WEIGHT_OUTSIDE,
				DIALOG_REGIST_ERROR_BORDER_WEIGHT_OUTSIDE, DIALOG_REGIST_ERROR_BORDER_WEIGHT_OUTSIDE,
				DIALOG_REGIST_ERROR_BORDER_COLOR);
		Border inside  = BorderFactory.createEmptyBorder(
				DIALOG_REGIST_ERROR_BORDER_WEIGHT_INSIDE, DIALOG_REGIST_ERROR_BORDER_WEIGHT_INSIDE,
				DIALOG_REGIST_ERROR_BORDER_WEIGHT_INSIDE, DIALOG_REGIST_ERROR_BORDER_WEIGHT_INSIDE);
		panel.setBorder(BorderFactory.createCompoundBorder(outside, inside));

		getContentPane().add(panel);


		// ========================================================================================================
		// コンポーネント作成
		// ========================================================================================================
		// 検索結果アイコン画像
		ImageIcon icon    = new ImageIcon(this.getClass().getClassLoader().getResource(IMG_ICON_RESULT_ERROR1));
		JLabel label_icon = new JLabel(icon);
		label_icon.setBounds(POS_DIALOG_REGIST_ERROR_ICON_X, POS_DIALOG_REGIST_ERROR_ICON_Y,
				POS_DIALOG_REGIST_ERROR_ICON_WIDTH, POS_DIALOG_REGIST_ERROR_ICON_HEIGHT);
		panel.add(label_icon);

		// タイトル
		JLabel label_title = new JLabel(DIALOG_REGIST_ERROR_TITLE);
		label_title.setBounds(POS_DIALOG_REGIST_ERROR_TITLE_X, POS_DIALOG_REGIST_ERROR_TITLE_Y,
				POS_DIALOG_REGIST_ERROR_TITLE_WIDTH, POS_DIALOG_REGIST_ERROR_TITLE_HEIGHT);
		label_title.setFont(new Font(DIALOG_REGIST_ERROR_FONT_STYLE_TITLE,
				DIALOG_REGIST_ERROR_FONT_WEIGHT_TITLE, DIALOG_REGIST_ERROR_FONT_SIZE_TITLE));
		label_title.setForeground(DIALOG_REGIST_ERROR_FONT_COLOR);
		panel.add(label_title);

		// 区切り線
		JSeparator separator = new JSeparator(SwingConstants.HORIZONTAL);
		separator.setBounds(POS_DIALOG_REGIST_ERROR_SEPARATOR_X, POS_DIALOG_REGIST_ERROR_SEPARATOR_Y,
				POS_DIALOG_REGIST_ERROR_SEPARATOR_WIDTH, POS_DIALOG_REGIST_ERROR_SEPARATOR_HEIGHT);
		panel.add(separator);


		// メッセージ1
		JLabel label_msg1 = new JLabel(DIALOG_REGIST_ERROR_MSG1);
		label_msg1.setBounds(POS_DIALOG_REGIST_ERROR_MSG1_X, POS_DIALOG_REGIST_ERROR_MSG1_Y,
				POS_DIALOG_REGIST_ERROR_MSG1_WIDTH, POS_DIALOG_REGIST_ERROR_MSG1_HEIGHT);
		label_msg1.setFont(new Font(DIALOG_REGIST_ERROR_FONT_STYLE_MSG1,
				DIALOG_REGIST_ERROR_FONT_WEIGHT_MSG1, DIALOG_REGIST_ERROR_FONT_SIZE_MSG1));
		label_msg1.setForeground(DIALOG_REGIST_ERROR_FONT_COLOR);
		label_msg1.setHorizontalAlignment(POS_DIALOG_REGIST_ERROR_MSG1_ALIGN);
		panel.add(label_msg1);


		// メッセージ2
		JLabel label_msg2 = new JLabel(DIALOG_REGIST_ERROR_MSG2);
		label_msg2.setBounds(POS_DIALOG_REGIST_ERROR_MSG2_X, POS_DIALOG_REGIST_ERROR_MSG2_Y,
				POS_DIALOG_REGIST_ERROR_MSG2_WIDTH, POS_DIALOG_REGIST_ERROR_MSG2_HEIGHT);
		label_msg2.setFont(new Font(DIALOG_REGIST_ERROR_FONT_STYLE_MSG2,
				DIALOG_REGIST_ERROR_FONT_WEIGHT_MSG2, DIALOG_REGIST_ERROR_FONT_SIZE_MSG2));
		label_msg2.setForeground(DIALOG_REGIST_ERROR_FONT_COLOR);
		label_msg2.setHorizontalAlignment(POS_DIALOG_REGIST_ERROR_MSG2_ALIGN);
		panel.add(label_msg2);

		// メッセージ3
		JLabel label_msg3 = new JLabel(DIALOG_REGIST_ERROR_MSG3);
		label_msg3.setBounds(POS_DIALOG_REGIST_ERROR_MSG3_X, POS_DIALOG_REGIST_ERROR_MSG3_Y,
				POS_DIALOG_REGIST_ERROR_MSG3_WIDTH, POS_DIALOG_REGIST_ERROR_MSG3_HEIGHT);
		label_msg3.setFont(new Font(DIALOG_REGIST_ERROR_FONT_STYLE_MSG3,
				DIALOG_REGIST_ERROR_FONT_WEIGHT_MSG3, DIALOG_REGIST_ERROR_FONT_SIZE_MSG3));
		label_msg3.setForeground(DIALOG_REGIST_ERROR_FONT_COLOR);
		label_msg3.setHorizontalAlignment(POS_DIALOG_REGIST_ERROR_MSG3_ALIGN);
		panel.add(label_msg3);

		// 確認ボタン
		ImageIcon icon_confirm     = new ImageIcon(this.getClass().getClassLoader().getResource(IMG_BUTTON_CONFIRM_OFF));
		ImageIcon rollover_confirm = new ImageIcon(this.getClass().getClassLoader().getResource(IMG_BUTTON_CONFIRM_ON));
		JButton btn_confirm = new JButton(icon_confirm);
		btn_confirm.setRolloverIcon(rollover_confirm);
		btn_confirm.setPressedIcon(rollover_confirm);
		btn_confirm.setBounds(POS_DIALOG_REGIST_ERROR_BTN_CONFIRM_X, POS_DIALOG_REGIST_ERROR_BTN_CONFIRM_Y,
				POS_DIALOG_REGIST_ERROR_BTN_CONFIRM_WIDTH, POS_DIALOG_REGIST_ERROR_BTN_CONFIRM_HEIGHT);
		btn_confirm.setBorderPainted(false);
		btn_confirm.setContentAreaFilled(false);
		btn_confirm.addActionListener(this);
		btn_confirm.setActionCommand("OK");
		panel.add(btn_confirm);
	}


	/**
	 * アクションのイベント設定
	 *
	 * @param ActionEvent e イベント情報
	 */
	public void actionPerformed(ActionEvent e) {
		// コマンド名を取得
		String cmd = e.getActionCommand();

		// 確認ボタンを押したら閉じる
		if(cmd.equals("OK")) {
			setVisible(false);
		}
	}
}
