package com.SgwSetting.common;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.SgwSetting.smartgateway.SearchSgwIpAddress;

public class CommonParam
{
	//public static final String SEARCH_STR_HTMLFILE = "TopPage";
	public static final String SEARCH_STR_HTMLFILE_1 = "TopPage";			// トップページ画面
	public static final String SEARCH_STR_HTMLFILE_2 = "NotTimeSet";		// 5秒待ち状態
	public static final String SEARCH_STR_HTMLFILE_3 = "href=\"media.css\"";		// メディアコンバーター画面
	public static final String SEARCH_STR_HTMLFILE_FOR_SGW
			= "<body id=\"body\" onload=\"setScrollPos()\" onunload=\"saveScrollPos()\">";
	public static final String SEARCH_STR_HTMLFILE_FOR_SGW_EN = "<body id=\"body\">";
//public static final String SEARCH_STR_HTMLFILE_FOR_SGW_MINI = "multi";　// 【コメントアウト】：　エンコード指定により検索できない
	public static final String SEARCH_STR_HTMLFILE_FOR_SGW_MINI = "WM_NO1";	 // 【＠Ver.2.04】：SGW-miniの判定文字列を変更
	public static final String SEARCH_STR_HTMLFILE_FOR_SGW_PLUS = "smart_meter.cgi";
	public static final String SEARCH_STR_HTMLFILE_FOR_SGW_PLUS_V2 = "Ver.2.";
	public static final String SEARCH_STR_HTMLFILE_FOR_SGW_PLUS_V3 = "Ver.3.";
	public static final String SEARCH_STR_HTMLFILE_FOR_SGW_PLUS_V4 = "Ver.4.";
	public static final String SEARCH_STR_HTMLFILE_FOR_SGW_PLUS_MC = "media.css";
	public static final String SEARCH_STR_HTMLFILE_FOR_TWS_7M = "TWS-7M";
	
	public static String hostAddress = "";
    public static String networkAddress = "";
    public static String broadCastAddress = "";
    public static String smartGatewayIp = "";
    public static String smartGatewaySerialNo = "";
    public static String checkedSerialNo = "";

//    //PCが持っているIPごとのネットワーク情報を格納するリスト
//    public static List<NetworkInfo> listNetworkInfo;
    
    // 【＠Ver.2.04】：　エンコードとSGWの登録状況を保持するための変数を追加
    public static String smartGatewayEncode = "";
    public static String smartGatewayStatus = "";
    public static int smartGatewayType = -1;
    
	/*SGWの製造番号取得対応*/
	public static String lang = "";

	public static final String CGI_FILENAME_REGIST_MEMB = "/test_connect_start.cgi";
	public static final String CGI_FILENAME_TIME_SET = "/time_setting.cgi";
	public static final String CGI_FILENAME_LOGIN = "/login.cgi";
	public static int THREAD_NUM_SGW_SEARCH = 127;
	public static final int MAX_HOST_NUM = 254;
	public static int i_subnet = 0;
	public static String subnetAddress = "";
	public static boolean searchEndFlg = false;
	public static boolean findSgwForSearching = false;
	public static boolean checkSearchResult = true;
	public static boolean continueSearchResult = false;
	public static boolean stopSearchResult = false;
	public static int restThread = THREAD_NUM_SGW_SEARCH;
	//public static final long MAX_WAIT_TIME = 60;
	public static long MAX_WAIT_TIME = 60;
	//public static final long MAX_WAIT_TIME = 90;	// 90秒に拡張
	public static final long MAX_WAIT_TIME_0 = 20;
	public static final long MAX_WAIT_TIME_1 = 30;
	public static final long MAX_WAIT_TIME_2 = 60;
	
	public static final long THREAD_WAIT_TIME = 30;

	public static final String CGI_FILENAME_REGIST_SRV = "/center_set_result.cgi";
	public static final String BROUTE_SERVER_HOST_NAME = "default.enegate.jp";

	public static final String SPACE = "  ";
	public static final String IP_ADDRESS_LBL = "IPアドレス：";
	public static final String SERIAL_NUMBER_LBL = "製造番号：";
	public static final String REGIST_STATUS_LBL = "登録状況："; 	// 【＠Ver.2.04】：　登録状況表示用

	/* 管理者用パスワード */
	public static final String ADMIN_PASSWORD = "smart";

	/* 登録状況の検索判定用ラベル【＠Ver.2.04】 */
	public static final String SGW_REGIST_STATUS_LBL = "会員登録状況：";
	public static final String SGW_REGIST_STATUS_LBL_EN = "Registration status:";
	public static final String SGW_CONNECTION_STATUS_LBL = "通知サーバ接続状況：";

	/* Webコンテンツのトップ画面 */
	public static final String WEB_TOP_CGI = "/index_web.cgi";

	public static final String SMART_METER_CGI = "/smart_set.cgi";

	public static boolean useExternalBrowser = false;

	public static boolean hasSmartMeterValue = false;
	public static String authorizationId;
	public static String authorizationPassword;
	
	public static boolean checkingCommTest = false;
	public static boolean checkingAuthorization = false;
	
	public static List<Thread> listSearchThread;	//スマートゲートウェイ検索用スレッドを格納するためののリスト
	
	// 低セキュリティモードモード（＝SSL証明書をチェックしない）を有効にする
	public static boolean isLowSecurityMode = false;
	// OkHttpClientを使用する
	public static final boolean useOkHttpClient = false;
	// HTTP接続のタイムアウト設定（ms）
	public static final int HTTP_CONNECTION_TIMEOUT = 5000;
}
