package com.SgwSetting.sample;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;

////visual swing for eclipseを『lib』配下へインストール(2015/08/20)
//import org.dyno.visual.swing.layouts.Constraints;
//import org.dyno.visual.swing.layouts.GroupLayout;
//import org.dyno.visual.swing.layouts.Leading;

//VS4E -- DO NOT REMOVE THIS LINE!
public class SampleUiWin extends JFrame {

	public static final long serialVersionUID = 1L;
	public JButton jButton0;
	public JButton jButton1;
	public JButton jButton2;
	public JButton jButton3;
	public JLabel jLabel0;
	public JLabel jLabel1;
	public JLabel jLabel2;
	public JLabel jLabel3;
	private static final String PREFERRED_LOOK_AND_FEEL = "javax.swing.plaf.metal.MetalLookAndFeel";
	public SampleUiWin() {
		initComponents();
	}

	private void initComponents() {
		//visual swing for eclipseを『lib』配下へインストール(2015/08/20)
//		setLayout(new GroupLayout());
//		add(getJButton1(), new Constraints(new Leading(31, 10, 10), new Leading(114, 10, 10)));
//		add(getJButton2(), new Constraints(new Leading(31, 12, 12), new Leading(164, 10, 10)));
//		add(getJLabel0(), new Constraints(new Leading(135, 10, 10), new Leading(70, 10, 10)));
//		add(getJLabel2(), new Constraints(new Leading(135, 12, 12), new Leading(168, 10, 10)));
//		add(getJLabel1(), new Constraints(new Leading(135, 12, 12), new Leading(119, 10, 10)));
//		add(getJButton0(), new Constraints(new Leading(31, 12, 12), new Leading(65, 10, 10)));
//		add(getJButton3(), new Constraints(new Leading(338, 10, 10), new Leading(211, 10, 10)));
//		add(getJLabel3(), new Constraints(new Leading(19, 10, 10), new Leading(28, 10, 10)));
		setSize(426, 251);
	}

	private JLabel getJLabel2() {
		if (jLabel2 == null) {
			jLabel2 = new JLabel();
			jLabel2.setText("未設定");
			jLabel2.setVisible(true);
		}
		return jLabel2;
	}

	private JLabel getJLabel3() {
		if (jLabel3 == null) {
			jLabel3 = new JLabel();
			jLabel3.setText("SGW検索ボタンをクリックして下さい.");
		}
		return jLabel3;
	}

	private JLabel getJLabel1() {
		if (jLabel1 == null) {
			jLabel1 = new JLabel();
			jLabel1.setText("未設定");
			jLabel1.setVisible(true);
		}
		return jLabel1;
	}

	private JLabel getJLabel0() {
		if (jLabel0 == null) {
			jLabel0 = new JLabel();
			jLabel0.setText("未設定");
		}
		return jLabel0;
	}

	private JButton getJButton3() {
		if (jButton3 == null) {
			jButton3 = new JButton();
			jButton3.setText("終了");
			jButton3.setEnabled(false);
			jButton3.addMouseListener(new MouseAdapter() {

				public void mouseClicked(MouseEvent event) {
					jButton3MouseMouseClicked(event);
				}
			});
		}
		return jButton3;
	}

	private JButton getJButton2() {
		if (jButton2 == null) {
			jButton2 = new JButton();
			jButton2.setText("会員登録");
			jButton2.setEnabled(false);
			jButton2.addMouseListener(new MouseAdapter() {

				public void mousePressed(MouseEvent event) {
					jButton2MouseMousePressed(event);
				}
			});
		}
		return jButton2;
	}

	private JButton getJButton1() {
		if (jButton1 == null) {
			jButton1 = new JButton();
			jButton1.setText("時刻設定");
			jButton1.setEnabled(false);
			jButton1.addMouseListener(new MouseAdapter() {

				public void mousePressed(MouseEvent event) {
					jButton1MouseMousePressed(event);
				}
			});
		}
		return jButton1;
	}

	private JButton getJButton0() {
		if (jButton0 == null) {
			jButton0 = new JButton();
			jButton0.setText("SGW検索");
			jButton0.addMouseListener(new MouseAdapter() {

				public void mousePressed(MouseEvent event) {
					jButton0MouseMousePressed(event);
				}
			});
		}
		return jButton0;
	}

	private static void installLnF() {
		try {
			String lnfClassname = PREFERRED_LOOK_AND_FEEL;
			UIManager.setLookAndFeel(lnfClassname);
		} catch (Exception e) {
			System.err.println("Cannot install " + PREFERRED_LOOK_AND_FEEL
					+ " on this platform:" + e.getMessage());
		}
	}

	/**
	 * Main entry of the class.
	 * Note: This class is only created so that you can easily preview the result at runtime.
	 * It is not expected to be managed by the designer.
	 * You can modify it as you like.
	 */
	public static void main(String[] args) {
		installLnF();
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				SampleUiWin frame = new SampleUiWin();
				frame.setDefaultCloseOperation(SampleUiWin.EXIT_ON_CLOSE);
				frame.setTitle("スマートゲートウェイ簡単設定");
				frame.getContentPane().setPreferredSize(frame.getSize());
				frame.pack();
				frame.setLocationRelativeTo(null);
				frame.setVisible(true);
			}
		});
	}

	private void jButton3MouseMouseClicked(MouseEvent event) {
		//setDefaultCloseOperation(ABORT);
		System.exit(0);
	}

	private void jButton0MouseMousePressed(MouseEvent event) {
		jButton0.setEnabled(false);
		jLabel0.setText("処理中．．．　しばらくお待ちください．");
		SampleUiSgwSearchThread th = new SampleUiSgwSearchThread(SampleUiWin.this);
		th.start();
	}

	private void jButton1MouseMousePressed(MouseEvent event) {
		jButton1.setEnabled(false);
		jLabel1.setText("処理中．．．");
		SampleUiSetDateThread th = new SampleUiSetDateThread(SampleUiWin.this);
		th.start();
	}

	private void jButton2MouseMousePressed(MouseEvent event) {
		jButton2.setEnabled(false);
		jLabel2.setText("処理中．．．");
		SampleUiRegistMemberThread th = new SampleUiRegistMemberThread(SampleUiWin.this);
		th.start();
	}

}
