package com.SgwSetting.thread;

import com.SgwMiniSetup.common.CommonFunc;
import com.SgwSetting.common.CommonParam;
import com.SgwSetting.smartgateway.SearchSgwIpAddress;

public class SearchSgwThread extends Thread {
	private int specifyNum;
	
	private SearchSgwIpAddress thSearchSgwIpAddress;
	
	//コンストラクタ
	public SearchSgwThread(int n){
		this.specifyNum = n;
	}

	public void run() {
		SearchSgwIpAddress adress = new SearchSgwIpAddress();
		thSearchSgwIpAddress = adress;
		adress.searchSgwIp(specifyNum);
		decRestThread();
	}

	private void decRestThread(){
		CommonParam.restThread--;
		//System.out.println("スレッド数(n)： " + CommonParam.restThread);
		//スレッド用リストから削除
		CommonFunc.removeSearchThreadFromList(this);
	}
	
	public String getCurrentIpAddress() {
		String retStr = null;
		if (thSearchSgwIpAddress != null) {
			retStr = thSearchSgwIpAddress.getCurrentIpAddress();
		}
		return retStr;
	}
}
